package test;

import java.io.File;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_MSGFW004
{

    public static void main( String[] args )
    {
    	String baseDir = new File( new File( "" ).getAbsolutePath() ).getPath() + "\\etc";
        System.setProperty( "CONFIG_PATH", baseDir);
        String filetc1 = baseDir+File.separator+"MSGFW001-UTF8.dat";
        String filetc2 = baseDir+File.separator+"MSGFW004-MS949.dat";

        StringBuffer msg = new StringBuffer( "MSGFW004" );// length=8
        msg.append( " " );
        msg.append( filetc1 );

        System.out.println("["+msg+"]");
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( "ReceiveTCType", "F" );
        ctx.put( "charset", "UTF-8" );
        ctx.put( GlueBizControlConstants.RECEIVE_TC, new File( filetc1 ) );
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "MSGFW004-service" );

        GlueBizProvider.getController().doAction( ctx );

        msg = new StringBuffer( "MSGFW004" );// length=8
        msg.append( " " );
        msg.append( filetc2 );

        System.out.println("["+msg+"]");
        ctx = new GlueDefaultContext();
        ctx.put( "ReceiveTCType", "F" );
        ctx.put( "charset", "EUC-KR" );
        ctx.put( GlueBizControlConstants.RECEIVE_TC, new File( filetc2 ) );
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "MSGFW004-service" );

        GlueBizProvider.getController().doAction( ctx );
    }
}
